Bug 779375 - (SOA-1765) webservice_consumer_wise[234] quickstart samples cannot run on OpenJDK 6
webservice_consumer_wise[234] quickstart samples cannot run on OpenJDK 6
Status: CLOSED NOTABUG
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: Documentation, JBossESB, Examples (Show other bugs)
5.0.0 ER6
Unspecified Unspecified
urgent Severity urgent
: ---
: 5.1.0 GA
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-04 07:18 EST by Jiri Sedlacek
Modified: 2015-08-02 19:43 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
OpenJDK 6 64bit
Last Closed: 2010-12-13 10:42:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stacktrace.log (5.25 KB, text/x-log)
2010-01-04 07:18 EST, Jiri Sedlacek
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-1765 None None None Never

  None (edit)
Description Jiri Sedlacek 2010-01-04 07:18:27 EST
Affects: Documentation (Ref Guide, User Guide, etc.), Release Notes
Date of First Response: 2010-01-04 07:36:03
project_key: SOA

After run of quickstarts, the error appears in jboss-as log.

2010-01-04 12:51:00,772 INFO  [STDOUT] (pool-71-thread-1) [ERROR] com.sun.tools.javac.Main is not available in the classpath, requires Suns JDK version 5.0 or latter.
2010-01-04 12:51:00,772 INFO  [STDOUT] (pool-71-thread-1) unknown location
2010-01-04 12:51:00,772 INFO  [STDOUT] (pool-71-thread-1) compilation failed, errors should have been reported
2010-01-04 12:51:00,772 INFO  [STDOUT] (pool-71-thread-1) Failed to invoke WsImport
2010-01-04 12:51:00,772 INFO  [STDOUT] (pool-71-thread-1) java.lang.IllegalStateException: WsImport invocation failed. Try the verbose switch for more information

Part of log is attached.
Comment 1 Jiri Sedlacek 2010-01-04 07:18:44 EST
Attachment: Added: stacktrace.log
Comment 2 Kevin Conner 2010-01-04 07:36:03 EST
Wise requires the Sun JDK to import the WSDL and compile the proxies.
Comment 3 Jiri Sedlacek 2010-01-04 07:49:24 EST
So shouldn't it be mentioned in readme files of these quickstarts?
Comment 4 Kevin Conner 2010-01-04 07:54:14 EST
If it cannot be fixed within wise then we should add something, yes.
Comment 5 Len DiMaggio 2010-01-04 09:51:33 EST
Affects: Added: [Documentation (Ref Guide, User Guide, etc.), Release Notes]
Comment 6 Anne-Louise Tangring 2010-09-21 15:01:33 EDT
Candidate for SOA 5.1.0
Comment 7 Kevin Conner 2010-12-13 09:10:57 EST
Investigation shows that this error message appears if the server is running using the openjdk *jre* rather than the *jdk*. If the jdk version is used then tools.jar will be included in the java.class.path, as seen in boot.log

java.class.path: /home/kevin/soa/ER5/jboss-soa-p-5/jboss-as/bin/run.jar:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/lib/tools.jar

This requirement is no different from executing wise with the Sun JDK.
Comment 8 Kevin Conner 2010-12-13 09:15:53 EST
All four quickstarts execute when using the JDK rather than the JRE.
Comment 9 Kevin Conner 2010-12-13 09:16:23 EST
Reassigning to Jiri to verify and reject
Comment 10 Jiri Sedlacek 2010-12-13 10:17:14 EST
Verified and working.
Comment 11 Kevin Conner 2010-12-13 10:42:52 EST
Rejecting the issue, wise quickstarts work when using the JDK.

Note You need to log in before you can comment on or make changes to this bug.